Subject: Re: bug#13639: ispell.el: hunspell dicts autodetection under Emacs.

From: Agustin Martin <[email-masked]>
Date: Fri, 5 Apr 2013 17:57:53 +0200

On Thu, Apr 04, 2013 at 04:41:44PM +0200, Jacek Chrz??szcz wrote:
> Hi,
> 
> I'd like to post a small correction to ispell.el (hunspell dictionary decoding).
> In case the initial ispell-args coordinate of ispell-dictionary-alist
> entry is set to nil, the hunspell equiv lookup does not work. The
> attached patch corrects this.

Change committed, thanks for the info. Seems I removed more than needed when
cleaning up debugging stuff.

This did not become evident in trunk since hunspell dicts autodetection was
added later, also caring of aliases in a different way, taking precedence
over old method. 

> Unfortunately I have not been able to set up emacs spellchecking to
> work with hunspell for the Polish language due to some encoding
> problems.
> 
> "if: Ispell and its process have different character maps"
> 
> Even though flyspell works to some extent, I go back to aspell, which
> works much better.
> 
> FYI, I am testing Fedora 18 with packaged GNU Emacs 24.2.1
> (x86_64-redhat-linux-gnu, GTK+ Version 3.6.4).

I am testing with myspell pl dictionary and hunspell with Emacs trunk and
seems to work. If the problem is still present for trunk I appreciate a
minimal test file showing the problem and more info about the dictionary
used for hunspell. Note that this may have been fixed with auto-detection.

Regards,

-- 
Agustin